<?php

use Illuminate\Database\Seeder;
use Illuminate\Support\Facades\DB;

class MetaSeeder extends Seeder
{
    /**
     * Run the database seeds.
     *
     * @return void
     */
    public function run()
    {

        // METAS ODS 1

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 1,
            'nome' => '1.1',
            'descricao' => 'Até 2030, erradicar a pobreza extrema para todas as pessoas em todos os lugares, atualmente medida como pessoas vivendo com menos de US$ 1,90 por dia',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 1,
            'nome' => '1.2',
            'descricao' => 'Até 2030, reduzir pelo menos à metade a proporção de homens, mulheres e crianças, de todas as idades, que vivem na pobreza, em todas as suas dimensões, de acordo com as definições nacionais',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 1,
            'nome' => '1.3',
            'descricao' => 'Implementar, em nível nacional, medidas e sistemas de proteção social adequados, para todos, incluindo pisos, e até 2030 atingir a cobertura substancial dos pobres e vulneráveis',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 1,
            'nome' => '1.4',
            'descricao' => 'Até 2030, garantir que todos os homens e mulheres, particularmente os pobres e vulneráveis, tenham direitos iguais aos recursos econômicos, bem como o acesso a serviços básicos, propriedade e controle sobre a terra e outras formas de propriedade, herança, recursos naturais, novas tecnologias apropriadas e serviços financeiros, incluindo microfinanças',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 1,
            'nome' => '1.5',
            'descricao' => 'Até 2030, construir a resiliência dos pobres e daqueles em situação de vulnerabilidade, e reduzir a exposição e vulnerabilidade destes a eventos extremos relacionados com o clima e outros choques e desastres econômicos, sociais e ambientais',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 1,
            'nome' => '1.a',
            'descricao' => 'Garantir uma mobilização significativa de recursos a partir de uma variedade de fontes, inclusive por meio do reforço da cooperação para o desenvolvimento, para proporcionar meios adequados e previsíveis para que os países em desenvolvimento, em particular os países menos desenvolvidos, implementem programas e políticas para acabar com a pobreza em todas as suas dimensões',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 1,
            'nome' => '1.b',
            'descricao' => 'Criar marcos políticos sólidos em níveis nacional, regional e internacional, com base em estratégias de desenvolvimento a favor dos pobres e sensíveis a gênero, para apoiar investimentos acelerados nas ações de erradicação da pobreza',
        ]);

        // METAS ODS 2

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 2,
            'nome' => '2.1',
            'descricao' => 'Até 2030, acabar com a fome e garantir o acesso de todas as pessoas, em particular os pobres e pessoas em situações vulneráveis, incluindo crianças, a alimentos seguros, nutritivos e suficientes durante todo o ano',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 2,
            'nome' => '2.2',
            'descricao' => 'Até 2030, acabar com todas as formas de desnutrição, incluindo atingir, até 2025, as metas acordadas internacionalmente sobre nanismo e caquexia em crianças menores de cinco anos de idade, e atender às necessidades nutricionais dos adolescentes, mulheres grávidas e lactantes e pessoas idosas',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 2,
            'nome' => '2.3',
            'descricao' => 'Até 2030, dobrar a produtividade agrícola e a renda dos pequenos produtores de alimentos, particularmente das mulheres, povos indígenas, agricultores familiares, pastores e pescadores, inclusive por meio de acesso seguro e igual à terra, outros recursos produtivos e insumos, conhecimento, serviços financeiros, mercados e oportunidades de agregação de valor e de emprego não agrícola',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 2,
            'nome' => '2.4',
            'descricao' => 'Até 2030, garantir sistemas sustentáveis de produção de alimentos e implementar práticas agrícolas resilientes, que aumentem a produtividade e a produção, que ajudem a manter os ecossistemas, que fortaleçam a capacidade de adaptação às mudanças climáticas, às condições meteorológicas extremas, secas, inundações e outros desastres, e que melhorem progressivamente a qualidade da terra e do solo',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 2,
            'nome' => '2.5',
            'descricao' => 'Até 2020, manter a diversidade genética de sementes, plantas cultivadas, animais de criação e domesticados e suas respectivas espécies selvagens, inclusive por meio de bancos de sementes e plantas diversificados e bem geridos em nível nacional, regional e internacional, e garantir o acesso e a repartição justa e equitativa dos benefícios decorrentes da utilização dos recursos genéticos e conhecimentos tradicionais associados, como acordado internacionalmente',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 2,
            'nome' => '2.a',
            'descricao' => 'Aumentar o investimento, inclusive via o reforço da cooperação internacional, em infraestrutura rural, pesquisa e extensão de serviços agrícolas, desenvolvimento de tecnologia, e os bancos de genes de plantas e animais, para aumentar a capacidade de produção agrícola nos países em desenvolvimento, em particular nos países menos desenvolvidos',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 2,
            'nome' => '2.b',
            'descricao' => 'Corrigir e prevenir as restrições ao comércio e distorções nos mercados agrícolas mundiais, incluindo a eliminação paralela de todas as formas de subsídios à exportação e todas as medidas de exportação com efeito equivalente, de acordo com o mandato da Rodada de Desenvolvimento de Doha',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 2,
            'nome' => '2.c',
            'descricao' => 'Adotar medidas para garantir o funcionamento adequado dos mercados de commodities de alimentos e seus derivados, e facilitar o acesso oportuno à informação de mercado, inclusive sobre as reservas de alimentos, a fim de ajudar a limitar a volatilidade extrema dos preços dos alimentos',
        ]);

        // METAS ODS 3

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.1',
            'descricao' => 'Até 2030, reduzir a taxa de mortalidade materna global para menos de 70 mortes por 100.000 nascidos vivos',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.2',
            'descricao' => 'Até 2030, acabar com as mortes evitáveis de recém-nascidos e crianças menores de 5 anos, com todos os países objetivando reduzir a mortalidade neonatal para pelo menos 12 por 1.000 nascidos vivos e a mortalidade de crianças menores de 5 anos para pelo menos 25 por 1.000 nascidos vivos',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.3',
            'descricao' => 'Até 2030, acabar com as epidemias de AIDS, tuberculose, malária e doenças tropicais negligenciadas, e combater a hepatite, doenças transmitidas pela água, e outras doenças transmissíveis',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.4',
            'descricao' => 'Até 2030, reduzir em um terço a mortalidade prematura por doenças não transmissíveis via prevenção e tratamento, e promover a saúde mental e o bem-estar',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.5',
            'descricao' => 'Reforçar a prevenção e o tratamento do abuso de substâncias, incluindo o abuso de drogas entorpecentes e uso nocivo do álcool',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.6',
            'descricao' => 'Até 2020, reduzir pela metade as mortes e os ferimentos globais por acidentes em estradas',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.7',
            'descricao' => 'Até 2030, assegurar o acesso universal aos serviços de saúde sexual e reprodutiva, incluindo o planejamento familiar, informação e educação, bem como a integração da saúde reprodutiva em estratégias e programas nacionais',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.8',
            'descricao' => 'Atingir a cobertura universal de saúde, incluindo a proteção do risco financeiro, o acesso a serviços de saúde essenciais de qualidade e o acesso a medicamentos e vacinas essenciais seguros, eficazes, de qualidade e a preços acessíveis para todos',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.9',
            'descricao' => 'Até 2030, reduzir substancialmente o número de mortes e doenças por produtos químicos perigosos, contaminação e poluição do ar e água do solo',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.a',
            'descricao' => 'Fortalecer a implementação da Convenção-Quadro para o Controle do Tabaco em todos os países, conforme apropriado',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.b',
            'descricao' => 'Apoiar a pesquisa e o desenvolvimento de vacinas e medicamentos para as doenças transmissíveis e não transmissíveis, que afetam principalmente os países em desenvolvimento, proporcionar o acesso a medicamentos e vacinas essenciais a preços acessíveis, de acordo com a Declaração de Doha, que afirma o direito dos países em desenvolvimento de utilizarem plenamente as disposições do acordo TRIPS sobre flexibilidades para proteger a saúde pública e, em particular, proporcionar o acesso a medicamentos para todos',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.c',
            'descricao' => 'Aumentar substancialmente o financiamento da saúde e o recrutamento, desenvolvimento e formação, e retenção do pessoal de saúde nos países em desenvolvimento, especialmente nos países menos desenvolvidos e nos pequenos Estados insulares em desenvolvimento',
        ]);

        DB::table('metas')->insert([
            'objetivo_de_desenvolvimento_sustentavel_id' => 3,
            'nome' => '3.d',
            'descricao' => 'Reforçar a capacidade de todos os países, particularmente os países em desenvolvimento, para o alerta precoce, redução de riscos e gerenciamento de riscos nacionais e globais de saúde',
        ]);


    }
}